Bug 1793614 - cjdns fails to build with gcc: multiple definition of `Sockaddr_LOOPBACK_le' and other symbols
Summary: cjdns fails to build with gcc: multiple definition of `Sockaddr_LOOPBACK_le' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 16:56 UTC by Miro Hrončok
Modified: 2020-02-07 01:50 UTC (History)
3 users (show)

Fixed In Version: cjdns-20.5-1.fc30 cjdns-20.5-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 01:02:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 16:56:33 UTC
cjdns fails to build with gcc 10:


Error: gcc -Wl,-z,relro,-z,now,-z,noexecstack -pie -flto -O3 -o build_linux/contrib_c_publictoip6_c build_linux/util_Assert_c.o,build_linux/util_Bits_c.o,build_linux/memory_Allocator_c.o,build_linux/util_CString_c.o,build_linux/benc_String_c.o,build_linux/exception_Except_c.o,build_linux/util_log_Log_c.o,build_linux/crypto_random_seed_RandomSeed_c.o,build_linux/crypto_random_seed_DevUrandomRandomSeed_c.o,build_linux/util_Hex_c.o,build_linux/crypto_random_seed_LinuxRandomUuidSysctlRandomSeed_c.o,build_linux/crypto_random_seed_ProcSysKernelRandomUuidRandomSeed_c.o,build_linux/crypto_random_seed_GetEntropyRandomSeed_c.o,build_linux/crypto_random_seed_SystemRandomSeed_c.o,build_linux/crypto_random_Random_c.o,build_linux/crypto_AddressCalc_c.o,build_linux/crypto_Key_c.o,build_linux/util_Base10_c.o,build_linux/util_platform_Sockaddr_c.o,build_linux/util_AddrTools_c.o,build_linux/contrib_c_publictoip6_c.o build_linux/dependencies/cnacl/jsbuild/libnacl.a,build_linux/dependencies/libuv/out/Release/libuv.a,-lpthread,-lrt
/usr/bin/ld: build_linux/util_AddrTools_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:57: multiple definition of `Sockaddr_LOOPBACK6'; build_linux/util_platform_Sockaddr_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:57: first defined here
/usr/bin/ld: build_linux/util_AddrTools_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:54: multiple definition of `Sockaddr_LOOPBACK_le'; build_linux/util_platform_Sockaddr_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:54: first defined here
/usr/bin/ld: build_linux/util_AddrTools_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:53: multiple definition of `Sockaddr_LOOPBACK_be'; build_linux/util_platform_Sockaddr_c.o:/builddir/build/BUILD/cjdns-cjdns-v20.4/./util/platform/Sockaddr.h:53: first defined here
collect2: error: ld returned 1 exit status


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Fedora Update System 2020-01-24 21:32:00 UTC
FEDORA-2020-dfbe78872c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dfbe78872c

Comment 2 Fedora Update System 2020-01-24 21:32:01 UTC
FEDORA-2020-45a1ed3a9b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-45a1ed3a9b

Comment 3 Fedora Update System 2020-01-26 01:51:52 UTC
cjdns-20.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dfbe78872c

Comment 4 Fedora Update System 2020-01-30 22:59:04 UTC
cjdns-20.5-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-45a1ed3a9b

Comment 5 Fedora Update System 2020-02-03 01:02:39 UTC
cjdns-20.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-02-07 01:50:26 UTC
cjdns-20.5-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.